Package: org.grails.spring.beans

## [Java] Class GrailsApplicationAwareBeanPostProcessor

- org.grails.spring.beans.GrailsApplicationAwareBeanPostProcessor

-     public class GrailsApplicationAwareBeanPostProcessor
      extends BeanPostProcessorAdapter

  Implementation of org.springframework.beans.factory.config.BeanPostProcessor that recognizes GrailsApplicationAware and injects and instance of GrailsApplication.

  Authors:
    Steven Devijver
  Since:
    0.2

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private GrailsApplication` | `grailsApplication` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsApplicationAwareBeanPostProcessor (GrailsApplication grailsApplication)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Object` | `postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)`
    `` | `public static void` | `processAwareInterfaces(GrailsApplication grailsApplication, java.lang.Object bean)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BeanPostProcessorAdapter` | `postProcessAfterInitialization, postProcessBeforeInitialization`

- - ### Field Detail

    - #### private GrailsApplication grailsApplication

  - ### Constructor Detail

    - #### public GrailsApplicationAwareBeanPostProcessor(GrailsApplication grailsApplication)

  - ### Method Detail

    - #### @java.lang.Override public java.lang.Object postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)

    - #### public static void processAwareInterfaces(GrailsApplication grailsApplication, java.lang.Object bean)